Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367198 - chromium should depend on semanage
Summary: chromium should depend on semanage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 24
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 20:21 UTC by Cristian Ciupitu
Modified: 2016-10-21 15:51 UTC (History)
2 users (show)

Fixed In Version: chromium-52.0.2743.116-9.fc24 chromium-52.0.2743.116-10.fc25 chromium-52.0.2743.116-10.fc23 chromium-53.0.2785.143-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-21 15:51:42 UTC


Attachments (Terms of Use)

Description Cristian Ciupitu 2016-08-15 20:21:34 UTC
Description of problem:
chromium install scripts run semanage, but chromium does not depend on the package providing semanage.

Version-Release number of selected component (if applicable):
chromium-52.0.2743.116-1.fc24.x86_64

How reproducible:
Every time 

Steps to Reproduce:
1. Make sure semanage is not installed, e.g. you have a minimal Fedora install, but SELinux is enabled (the default).
2. Install chromium, e.g. by running `dnf install chromium`.

Actual results:
  Installing  : chromium-libs-52.0.2743.116-1.fc24.x86_64       17/19
  Installing  : u2f-hidraw-policy-1.0.2-2.fc24.x86_64           18/19
  Installing  : chromium-52.0.2743.116-1.fc24.x86_64            19/19
/var/tmp/rpm-tmp.NNrJyb: line 4: semanage: command not found
/var/tmp/rpm-tmp.NNrJyb: line 5: semanage: command not found
/var/tmp/rpm-tmp.NNrJyb: line 6: semanage: command not found
  Verifying   : chromium-52.0.2743.116-1.fc24.x86_64             1/19

Expected results:
No errors

Additional info:
semanage seems to be part of policycoreutils-python-utils:
# rpm -q -f /sbin/semanage
policycoreutils-python-utils-2.5-13.fc24.x86_64

Comment 1 Parag Nemade 2016-08-16 07:56:08 UTC
Should following in spec
Requires(post): /sbin/semanage
be actually written as
Requires(post): /usr/sbin/semanage
?

Comment 2 Cristian Ciupitu 2016-08-16 10:24:33 UTC
(In reply to Parag Nemade from comment #1)

Not in my current version:
[root@localhost ~]# rpm -q --requires chromium-52.0.2743.116-1.fc24.x86_64 | grep semanage
[root@localhost ~]#

Comment 3 Parag Nemade 2016-08-16 12:39:02 UTC
Hi Cristian,
   I picked the latest from koji -> http://koji.fedoraproject.org/koji/packageinfo?packageID=22672

Comment 4 Cristian Ciupitu 2016-08-16 23:30:32 UTC
http://koji.fedoraproject.org/koji/rpminfo?rpmID=7966309 doesn't list semanage as far as I can see.

Comment 5 Parag Nemade 2016-08-17 04:17:50 UTC
You need to check in binary rpms not source rpm. See this http://koji.fedoraproject.org/koji/rpminfo?rpmID=7966310

Comment 6 Fedora Update System 2016-08-17 17:34:35 UTC
chromium-52.0.2743.116-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-19c0d6b4b2

Comment 7 Fedora Update System 2016-08-17 17:35:03 UTC
chromium-52.0.2743.116-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3431daeaf0

Comment 8 Fedora Update System 2016-08-17 17:35:23 UTC
chromium-52.0.2743.116-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a35f3eeea

Comment 9 Fedora Update System 2016-08-17 17:35:45 UTC
chromium-52.0.2743.116-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95d9b62ed3

Comment 10 Fedora Update System 2016-08-17 19:51:53 UTC
chromium-52.0.2743.116-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95d9b62ed3

Comment 11 Fedora Update System 2016-08-18 01:50:05 UTC
chromium-52.0.2743.116-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a35f3eeea

Comment 12 Fedora Update System 2016-08-18 01:51:04 UTC
chromium-52.0.2743.116-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3431daeaf0

Comment 13 Fedora Update System 2016-08-18 04:18:23 UTC
chromium-52.0.2743.116-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-19c0d6b4b2

Comment 14 Fedora Update System 2016-08-25 13:54:26 UTC
chromium-52.0.2743.116-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-08-26 13:32:50 UTC
chromium-52.0.2743.116-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 16 Fedora Update System 2016-08-26 13:33:26 UTC
chromium-52.0.2743.116-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 17 Fedora Update System 2016-08-27 12:53:10 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 18 Fedora Update System 2016-08-27 22:21:41 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 19 Fedora Update System 2016-08-29 19:25:46 UTC
chromium-52.0.2743.116-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e82affa05e

Comment 20 Fedora Update System 2016-08-31 13:49:45 UTC
chromium-52.0.2743.116-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e82affa05e

Comment 21 Fedora Update System 2016-08-31 16:28:34 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-09-09 16:54:44 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-09-09 19:07:50 UTC
chromium-53.0.2785.101-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d70ae9a57

Comment 24 Fedora Update System 2016-09-10 05:48:41 UTC
chromium-53.0.2785.101-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d70ae9a57

Comment 25 Fedora Update System 2016-09-14 19:28:28 UTC
chromium-53.0.2785.113-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-449d647265

Comment 26 Fedora Update System 2016-09-15 23:52:06 UTC
chromium-53.0.2785.113-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-449d647265

Comment 27 Fedora Update System 2016-09-28 16:19:43 UTC
chromium-53.0.2785.116-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf5b9b3332

Comment 28 Fedora Update System 2016-10-04 13:19:35 UTC
chromium-53.0.2785.143-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-387d58ef27

Comment 29 Fedora Update System 2016-10-21 15:51:42 UTC
chromium-53.0.2785.143-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.